## org.eclipse.amp.amf.ide.ascape
Class AscapeProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.ProjectWizard
              org.eclipse.amp.escape.ide.PluginTemplateProjectWizard
                  org.eclipse.amp.amf.ide.ascape.AscapeProjectWizard

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class AscapeProjectWizard

extends PluginTemplateProjectWizard

Field Summary

Fields inherited from class org.eclipse.amp.escape.ide.PluginTemplateProjectWizard
`CONF_EXTPOINT_ID`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`AscapeProjectWizard()`

Method Summary
`protected java.util.List<java.lang.String>` `getBuilders()`
`protected java.lang.String` `getCurrentPluginID()` Only needed for generating Status.
`protected java.util.Set<java.lang.String>` `getDependenciesForManifest()` Overwrite this method to let a certain subclass behave more specifically.
`protected java.util.Set<java.lang.String>` `getImportsForManifest()` Overwrite this method to let a certain subclass behave more specifically.
`protected java.lang.String` `getProjectTypeName()`
`protected java.lang.String` `getSourceDirName()`

Methods inherited from class org.eclipse.amp.escape.ide.PluginTemplateProjectWizard
`createFiles, getNatures, getWizardId, setInitializationData`

Methods inherited from class org.eclipse.amp.escape.ide.ProjectWizard
`addPages, getClasspathsEntries, getProject, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### AscapeProjectWizard

    public AscapeProjectWizard()

Method Detail

### getProjectTypeName

    protected java.lang.String getProjectTypeName()

  Overrides:
    `getProjectTypeName` in class `ProjectWizard`

### getDependenciesForManifest

    protected java.util.Set<java.lang.String> getDependenciesForManifest()

  Description copied from class: `PluginTemplateProjectWizard`
  Overwrite this method to let a certain subclass behave more specifically. Use extension point `PluginTemplateProjectWizard.CONF_EXTPOINT_ID` to make all wizards with a certain ID behave more specifically if the extending Plug-in is present.

  Overrides:
    `getDependenciesForManifest` in class `PluginTemplateProjectWizard`
  Returns:
    list of bundles that should be added as dependencies in the MANIFEST.MF

### getImportsForManifest

    protected java.util.Set<java.lang.String> getImportsForManifest()

  Description copied from class: `PluginTemplateProjectWizard`
  Overwrite this method to let a certain subclass behave more specifically. Use extension point `PluginTemplateProjectWizard.CONF_EXTPOINT_ID` to make all wizards with a certain ID behave more specifically if the extending Plug-in is present.

  Overrides:
    `getImportsForManifest` in class `PluginTemplateProjectWizard`
  Returns:
    list of packages that should be added as imports in the MANIFEST.MF

### getBuilders

    protected java.util.List<java.lang.String> getBuilders()

  Overrides:
    `getBuilders` in class `PluginTemplateProjectWizard`

### getSourceDirName

    protected java.lang.String getSourceDirName()

  Specified by:
    `getSourceDirName` in class `ProjectWizard`

### getCurrentPluginID

    protected java.lang.String getCurrentPluginID()

  Description copied from class: `ProjectWizard`
  Only needed for generating Status.

  Specified by:
    `getCurrentPluginID` in class `ProjectWizard`
  Returns:
    the ID of the plugin the implementing class